commit:     85c455b911abb731c6081b790c46e6953a16b612
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Jul  8 17:38:56 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Jul  8 20:22:26 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=85c455b9

dev-ruby/will_paginate: add 4.0.0

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/will_paginate/Manifest                   |  1 +
 dev-ruby/will_paginate/will_paginate-4.0.0.ebuild | 32 +++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-ruby/will_paginate/Manifest b/dev-ruby/will_paginate/Manifest
index 7658f048a4d9..886ada85f58d 100644
--- a/dev-ruby/will_paginate/Manifest
+++ b/dev-ruby/will_paginate/Manifest
@@ -1 +1,2 @@
 DIST will_paginate-3.3.1.gem 34816 BLAKE2B 
c8506fd9c529764e539ba799b3ef12f47e8d17a8579f2337163ab316cb6d9fe40c3d41c94e9616f55b9f3766989b11e5fb0579f0a69d2ee52c3f5c6104f32b7b
 SHA512 
6b17ba13aeb3733811d6ab10f8c873b9f3687c88a86971f2aa820df7d294b304eaf74c699f34aca2242a0be6033db03d07f67d76fc183b2685ee1be53c9c1c64
+DIST will_paginate-4.0.0.tar.gz 36062 BLAKE2B 
9d2c61bc7e223be1b94b67807ef80c0d0094c062b06415dd688af8a5e8f62b9eb1a81c84c9fc15ada328cb9df28d354b98cdbbcaa5056cfa3b48a2c6d0ce1be3
 SHA512 
b6268ef9ec45a03cd21928578ad7df14c80de905b386978cc2dd50b42ea919c9e139ee820362cdd64ed0258bb3f38b3a1c39f4207828891cb1691d16f7699bc0

diff --git a/dev-ruby/will_paginate/will_paginate-4.0.0.ebuild 
b/dev-ruby/will_paginate/will_paginate-4.0.0.ebuild
new file mode 100644
index 000000000000..d108591d7aad
--- /dev/null
+++ b/dev-ruby/will_paginate/will_paginate-4.0.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="will_paginate.gemspec"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Most awesome pagination solution for Ruby"
+HOMEPAGE="https://github.com/mislav/will_paginate/";
+SRC_URI="https://github.com/mislav/will_paginate/archive/refs/tags/v${PV}.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64"
+IUSE=""
+
+all_ruby_prepare() {
+       # Remove tests for unpackaged ORMs
+       rm -f spec/finders/{sequel,mongoid,data_mapper}* || die
+}
+
+ruby_add_bdepend "
+       test? (
+               dev-ruby/rails
+               dev-ruby/sqlite3
+               dev-ruby/mocha
+       )"

Reply via email to